Post Reply 
Unable to install emulator and connectivity kit
03-03-2016, 12:54 AM (This post was last modified: 03-03-2016 12:55 AM by Brad Barton.)
Post: #1
Unable to install emulator and connectivity kit
Sigh, still having trouble with this install. I was able to get the emulator working after Tim's suggestion to install the 32 bit version of VC++ redist kit. However the emulator kept locking up when I'd ask it to update. So I gave up on the emulator and tried updating the connectivity kit, thinking that maybe once it was updated, the emulator would be able to update successfully.

When I tried downloading the update files for the connectivity kit, it would lock up about 1/2 way through the download. So I got the files from the ftp site listed in the update thread, and tried unzipping and installing the files directly in the C:/User/...../Connectivity Kit/Firmware directory. Although the file dates were changed to the new version, the connectivity kit "About" text still showed an older firmware version (7820 I think, definitely not 8151).

So I threw up my hands and uninstalled everything, downloaded the installation files for both the emulator and connectivity kit from HP's ftp site, and ran the installs. So now guess what, both installs fail. Reboot the computer, and they still fail.

Does anyone have an idea about what might be the problem? Frustration levels are pretty high, but I know this will work, I had it working before. I've got a couple of log files to give some detail about why it's failing, but I can't make sense of what the fix might be, and the forum doesn't allow me to attach them. Any ideas?

Brad
Find all posts by this user
Quote this message in a reply
03-03-2016, 01:46 AM
Post: #2
RE: Unable to install emulator and connectivity kit
OK, I've been able to successfully install both the emulator and CK from the disk I received with the calculator, but unable to update either one. Has anyone had similar difficulty?
Find all posts by this user
Quote this message in a reply
03-03-2016, 01:57 AM
Post: #3
RE: Unable to install emulator and connectivity kit
Definitely the first time I've ever heard of this...

TW

Although I work for the HP calculator group, the views and opinions I post here are my own.
Find all posts by this user
Quote this message in a reply
03-03-2016, 02:24 AM
Post: #4
RE: Unable to install emulator and connectivity kit
Hi!, Brad Barton:

Try, from ... http://h30434.www3.hp.com/t5/Calculators...-p/5123066

Too, from ... http://hp-prime.de/en/category/6-downloads

Check, this link ... http://h30434.www3.hp.com/t5/Calculators...-p/5511168

Kind Regards.
informach.
Find all posts by this user
Quote this message in a reply
03-03-2016, 03:42 AM (This post was last modified: 03-03-2016 03:49 AM by Brad Barton.)
Post: #5
RE: Unable to install emulator and connectivity kit
(03-03-2016 01:57 AM)Tim Wessman Wrote:  Definitely the first time I've ever heard of this...

Tim,

It still looks to me that I'm not getting a complete uninstall. If I uninstall my version, and try to install the latest version from a file that I've downloaded from HP, the installer acts as if it's looking for files in the old location and fails out with "Error 0x80091007: Hash mismatch for path:......".

Does that mean that the path is not as expected? I can't understand why the installer doesn't know to get files from the current executable path. When I go back to installing the version from the CD, it installs without a hitch.


Here is a partial log listing after the error.

[1DA8:1F68][2016-03-02T19:34:58]i361: Created a system restore point.
[1DA8:1F68][2016-03-02T19:34:58]i000: Caching bundle from: 'C:\Users\BRADBA~1\AppData\Local\Temp\{149fc4e9-9825-449b-87b6-bb1799ebb41a}\.be\HP_Connectivity_Kit.exe' to: 'C:\ProgramData\Package Cache\{149fc4e9-9825-449b-87b6-bb1799ebb41a}\HP_Connectivity_Kit.exe'
[1DA8:1F68][2016-03-02T19:34:58]i320: Registering bundle dependency provider: {149fc4e9-9825-449b-87b6-bb1799ebb41a}, version: 1.21.8151.102
[0E34:0E94][2016-03-02T19:34:58]i336: Acquiring container: WixAttachedContainer, copy from: C:\Users\Brad Barton\Downloads\HP_Connectivity_Kit.exe
[0E34:0E94][2016-03-02T19:35:00]i000: Setting string variable 'WixBundleLastUsedSource' to value 'C:\Users\Brad Barton\Downloads\'
[1DA8:1784][2016-03-02T19:35:01]e000: Error 0x80091007: Hash mismatch for path: C:\ProgramData\Package Cache\.unverified\ConnKitMSI
[1DA8:1784][2016-03-02T19:35:01]e000: Error 0x80091007: Failed to verify hash of payload: ConnKitMSI
[1DA8:1784][2016-03-02T19:35:01]e310: Failed to verify payload: ConnKitMSI at path: C:\ProgramData\Package Cache\.unverified\ConnKitMSI, error: 0x80091007. Deleting file.
[1DA8:1784][2016-03-02T19:35:01]e000: Error 0x80091007: Failed to cache payload: ConnKitMSI
Find all posts by this user
Quote this message in a reply
03-03-2016, 03:44 AM
Post: #6
RE: Unable to install emulator and connectivity kit
(03-03-2016 02:24 AM)informach Wrote:  Hi!, Brad Barton:

Try, from ... http://h30434.www3.hp.com/t5/Calculators...-p/5123066

Too, from ... http://hp-prime.de/en/category/6-downloads

Check, this link ... http://h30434.www3.hp.com/t5/Calculators...-p/5511168

Kind Regards.
informach.

Informach, thank you kindly for the links, and your willingness to help. I'll give them a shot and see how it works out.
Brad
Find all posts by this user
Quote this message in a reply
Post Reply 




User(s) browsing this thread: 1 Guest(s)